Name:           pyftpdlib
Version:        1.4.0
Release:        2%{?dist}
Summary:        Python FTP server library

Group:          Development/Languages
License:        MIT
URL:            https://github.com/giampaolo/pyftpdlib
Source0:        https://github.com/giampaolo/pyftpdlib/archive/release-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel python-nose python-setuptools pysendfile
Requires:       pysendfile pyOpenSSL

%description
Python FTP server library provides a high-level portable interface to easily
write asynchronous FTP servers with Python. Based on asyncore framework
pyftpdlib is currently the most complete RFC-959 FTP server implementation
available for Python programming language.

%prep
%setup -q -n pyftpdlib-release-%{version}

# Remove exec bit from demo
chmod -x demo/*


%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Remove shebang from libs
sed -i '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python_sitelib}/%{name}/*.py
sed -i '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python_sitelib}/%{name}/contrib/*.py

%check
PYTHONPATH=. %{__python} test/test_ftpd.py
PYTHONPATH=. %{__python} test/test_contrib.py

%files
%doc CREDITS HISTORY.rst LICENSE README.rst demo/ 
%{python_sitelib}/pyftpdlib
%{python_sitelib}/pyftpdlib-%{version}-*.egg-info

%changelog
* Wed Dec 24 2014 Athmane Madjoudj <athmane@fedoraproject.org> 1.4.0-2
- Add deps on pyOpenSSL

* Wed Dec 24 2014 Athmane Madjoudj <athmane@fedoraproject.org> 1.4.0-1
- Update to 1.4.0
- Update spec file
- Enable the test suite

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 10 2012 Silas Sewell <silas@sewell.org> - 0.7.0-1
- Update to 0.7.0

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jul 24 2011 Silas Sewell <silas@sewell.org> - 0.6.0-1
- Update to 0.6.0

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Oct 21 2009 Silas Sewell <silas@sewell.ch> - 0.5.2-1
- Update to 0.5.2

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 28 2009 Silas Sewell <silas@sewell.ch> - 0.5.1-4
- Fix various issues reported by rpmlint
- Remove INSTALL file

* Thu Mar 26 2009 Silas Sewell <silas@sewell.ch> - 0.5.1-3
- Update package name to conform to Fedora naming standards
- Remove unneeded requires
- Change define to global

* Thu Mar 12 2009 Silas Sewell <silas@sewell.ch> - 0.5.1-2
- Fix various rpmlint issues

* Tue Feb 24 2009 Silas Sewell <silas@sewell.ch> - 0.5.1-1
- Initial build
